Bug 194560 - Review Request: vnc-reflector
Review Request: vnc-reflector
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jima
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-13 23:37 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 14:38:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-06-13 23:37:08 EDT
Spec URL: http://home.comcast.net/~ckweyl/vnc-reflector.spec
SRPM URL: http://home.comcast.net/~ckweyl/vnc-reflector-1.2.4-0.fc5.src.rpm
Description:

Reflector is a specialized VNC server which acts as a proxy sitting between
real VNC server (a host) and a number of VNC clients. It was designed to work
efficiently with large number of clients.
Comment 1 Jima 2006-06-14 08:29:58 EDT
Since I was bored, Chris strong-armed me into reviewing a package. ;-)

First off, I've heard that you should use "dl.sf.net" for SourceForge-hosted
downloads, as opposed to a particular mirror. You might want to do that.

Since I'm fairly new to reviewing, I'm going to use the Review Guidelines as a
checklist. I apologize for the verbosity. :-)

1. rpmlint returned nothing. We like that.
2. This adds functionality to vnc, and isn't particularly useful without it.
Ergo, I think it meets the Naming Guideline for addon packages.
3. Spec filename is vnc-reflector.spec, check.
4. As far as I can tell, this package meets all of the requirements of the
Packaging Guidelines.
5. Good: BSD license.
6. ...verified by upstream's site.
7. LICENSE included in %doc, good.
8. Looks like American English to me.
9. Spec seems quite clearly written.
10. Tarball MD5 matches upstream (c3f88bc62f228b335c25c07f9744ab0c).
11. Package builds fine on i386, ppc, and sparc (sorry, I don't have an x86_64 box).
12. n/a
13. BuildReqs look fairly sane.
14. n/a, I think.
15. n/a (no shared libs)
16. n/a
17. Owns its docs directory.
18. No duplicate files.
19. Permissions look good.
20. Has correct %clean section.
21. Macro use appears consistent.
22. Package contains code, not content.
23. n/a, very little documentation.
24. %doc files are non-critical.
25-30. n/a
31. I'm fairly certain its file ownership doesn't overlap with any other packages.
32-33. n/a
34. Built in Plague, actually.
35. I can't verify x86_64, but it should.
36. Connected to a VNC server through it. (And accidentally left it running for
two hours with no problems.) Yay, it works!
37. n/a, no scriptlets.
38. n/a, no subpackages.

Unless anyone can find anything I missed or screwed up, I think this package can
be APPROVED.
Comment 2 Chris Weyl 2006-06-14 14:38:33 EDT
Thanks for the review! :)  Imported and built for FC-[45], devel.

Note You need to log in before you can comment on or make changes to this bug.